xine-lib: xine-lib-1.2.13/src/post/deinterlace/plugins/weave.c File Reference

xine-lib 1.2.13-20230125hg15249

Functions | Variables
weave.c File Reference
`#include <stdio.h>`
`#include <stdint.h>`
`#include "speedy.h"`
`#include "deinterlace.h"`
`#include "plugins.h"`

## Functions
static void | deinterlace_scanline_weave (uint8_t *output, deinterlace_scanline_data_t *data, int width)
static void | copy_scanline (uint8_t *output, deinterlace_scanline_data_t *data, int width)
const deinterlace_method_t * | weave_get_method (void)

## Variables
static const deinterlace_method_t | weavemethod

## Function Documentation

## ◆ copy_scanline()

static void copy_scanline | ( | uint8_t * | output,
|  | deinterlace_scanline_data_t * | data,
|  | int | width )
| static

References blit_packed422_scanline, deinterlace_scanline_data_s::m0, and width.

## ◆ deinterlace_scanline_weave()

static void deinterlace_scanline_weave | ( | uint8_t * | output,
|  | deinterlace_scanline_data_t * | data,
|  | int | width )
| static

Pure weave deinterlacing plugin.

Copyright (C) 2002 Billy Biggs vekto.nosp@m.r@du.nosp@m.mbter.nosp@m.m.ne.nosp@m.t.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

References blit_packed422_scanline, deinterlace_scanline_data_s::m1, and width.

## ◆ weave_get_method()

const deinterlace_method_t * weave_get_method | ( | void |  | ) |

References weavemethod.

Referenced by deinterlace_init_plugin().

## Variable Documentation

## ◆ weavemethod

const deinterlace_method_t weavemethod
| static

Initial value:
=
{
"Weave Last Field",
"Weave",
2,
0,
0,
1,
deinterlace_scanline_weave,
copy_scanline,
0,
0,
"Only updates the most recent field."
}
deinterlace_scanline_weave
static void deinterlace_scanline_weave(uint8_t *output, deinterlace_scanline_data_t *data, int width)
Definition weave.c:38
copy_scanline
static void copy_scanline(uint8_t *output, deinterlace_scanline_data_t *data, int width)
Definition weave.c:45

Referenced by weave_get_method().